summaryrefslogtreecommitdiffstats
path: root/TOOLS/install-divx5.sh
diff options
context:
space:
mode:
authoralex <alex@b3059339-0415-0410-9bf9-f77b7e298cf2>2005-05-29 13:46:57 +0000
committeralex <alex@b3059339-0415-0410-9bf9-f77b7e298cf2>2005-05-29 13:46:57 +0000
commitbf7301cf25ed6ea3cf404691e24ef38c7e4f9c1a (patch)
tree2d8464312c4f6fad4cfb4d2e1d8fc5c73fbe03a3 /TOOLS/install-divx5.sh
parent83b3c822becab58bdf25bcef7c247d674908ddcb (diff)
downloadmpv-bf7301cf25ed6ea3cf404691e24ef38c7e4f9c1a.tar.bz2
mpv-bf7301cf25ed6ea3cf404691e24ef38c7e4f9c1a.tar.xz
old scripts from early debian package
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@15587 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'TOOLS/install-divx5.sh')
-rwxr-xr-xTOOLS/install-divx5.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/TOOLS/install-divx5.sh b/TOOLS/install-divx5.sh
new file mode 100755
index 0000000000..5cfff89fd6
--- /dev/null
+++ b/TOOLS/install-divx5.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Author: thuglife, mennucc1
+#
+
+set -e
+
+site=http://download.divx.com/divx/
+filename=divx4linux501-20020418.tgz
+
+if [ `whoami` != root ]; then
+ echo "You must be a root to start this script. Login As root first!"
+ exit 1
+else
+
+
+case "$1" in
+ install)
+ mkdir /var/tmp/mplayer$$
+ cd /var/tmp/mplayer$$
+ wget $site/$filename
+ tar xzf $filename
+ cd divx4linux-20020418/
+ sh install.sh
+ cd ..
+ rm -rf $filename
+ rm -rf divx4linux-20020418/
+ echo "Installed Succesfully!"
+ rmdir /var/tmp/mplayer$$
+ ;;
+
+ uninstall)
+ rm -rf /usr/local/lib/libdivx{encore,decore}.so{,.0}
+ echo "Uninstalled Succesfully!"
+
+ ;;
+ *)
+ echo "Usage: {install|uninstall}"
+ exit 1
+
+ ;;
+esac
+
+
+
+exit 0
+
+fi
+